Bug 109723 - VPL mode does not show DT data in definition lists
Summary: VPL mode does not show DT data in definition lists
Status: RESOLVED FIXED
Alias: None
Product: quanta
Classification: Miscellaneous
Component: VPL (show other bugs)
Version: 3.4.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Paulo Moura Guedes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-27 17:44 UTC by Nigel Wade
Modified: 2005-10-05 12:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Wade 2005-07-27 17:44:45 UTC
Version:           3.4.1 (using KDE KDE 3.4.1)
Installed from:    Unlisted Binary Package
OS:                Linux

When entering definition lists in VPL mode, the definition terms (DT) data are not displayed. For example, the example list straight from the W3C website:
<DL>
  <DT>Dweeb
  <DD>young excitable person who may mature
    into a <EM>Nerd</EM> or <EM>Geek</EM>

  <DT>Hacker
  <DD>a clever programmer

  <DT>Nerd
  <DD>technically bright but socially inept person

</DL>

Displays as:

    a young excitable person who may mature into a Nerd or Geek
    a clever programmer
    technically bright but socially inept person

The <DT> tag information is not displayed.

Furthermore, Quanta claims that there are several syntax errors when there are no </DD> tags. Adding these tags removes the errors but does not show the <DT> data. The </DD> tags should not be necessary, they are optional according to the W3C website.

When viewed in Preview mode the list is displayed correctly.
Comment 1 Philippe Rigault 2005-07-28 18:42:16 UTC
Confirmed on KDE 3.4.2
Comment 2 András Manţia 2005-10-05 12:09:28 UTC
Regarding the closing tag for DD:
- it is required in XHTML mode, so make sure you use a HTML DTD for your 
document
- in HTML mode it is not required if it is followed by a DD or DT tag. 
Quanta will warn you when <DD> is not closed and it is followed by 
</DL>. Although the W3C example gives you such a code and it is 
displayed by the browsers, I can say that this warning is valid. Doing 
ir in a way that both </DL> closed <DD> and <DD> can have <DL> tags 
inside is very hard.

Regarding the VPL part of the bug: unfrotunately I couldn't find the 
reason yet.
Comment 3 András Manţia 2005-10-05 12:30:22 UTC
SVN commit 467449 by amantia:

Show DT tags in VPL.
Fix list of children for DT.

BUG: 109723

 M  +1 -0      ChangeLog  
 M  +40 -3     data/dtep/html/d.tag  
 M  +3 -3      data/dtep/html/p.tag  


--- branches/KDE/3.5/kdewebdev/quanta/ChangeLog #467448:467449
@@ -32,6 +32,7 @@
         - replace a leading ~ in an upload profile with the users home folder and avoid a hang
         - fix lots of VPL related crashes [#112733, #112853, #108501]
         - give to the host field more space in the upload profile dialog [#112778]
+        - show DT tags in VPL [#109723]
 
  - improvements:
         - md5sum based file changed detection
--- branches/KDE/3.5/kdewebdev/quanta/data/dtep/html/d.tag #467448:467449
@@ -195,7 +195,7 @@
  </children>
 </tag>
 
-<tag name="div" hasScript="1" hasCore="1" hasI18n="1" scope="paragraph">
+<tag name="div" hasScript="1" hasCore="1" hasI18n="1">
 
     <attr name="align" type="list">
         <text>Alignment</text>
@@ -293,8 +293,45 @@
     <stoppingtag name="dd" />
   </stoppingtags>
 <children>
-<child name="dd" />
-<child name="dt" />
+ <child name="#text" />
+ <child name="tt" />
+ <child name="i" />
+ <child name="b" />
+ <child name="u" />
+ <child name="s" />
+ <child name="strike" />
+ <child name="big" />
+ <child name="small" />
+ <child name="em" />
+ <child name="strong" />
+ <child name="dfn" />
+ <child name="code" />
+ <child name="samp" />
+ <child name="kbd" />
+ <child name="var" />
+ <child name="cite" />
+ <child name="abbr" />
+ <child name="acronym" />
+ <child name="a" />
+ <child name="img" />
+ <child name="applet" />
+ <child name="object" />
+ <child name="font" />
+ <child name="basefont" />
+ <child name="br" />
+ <child name="script" />
+ <child name="map" />
+ <child name="q" />
+ <child name="sub" />
+ <child name="sup" />
+ <child name="span" />
+ <child name="bdo" />
+ <child name="iframe" />
+ <child name="input" />
+ <child name="select" />
+ <child name="textarea" />
+ <child name="label" />
+ <child name="button" />
 </children>
 </tag>
 </TAGS>
--- branches/KDE/3.5/kdewebdev/quanta/data/dtep/html/p.tag #467448:467449
@@ -35,7 +35,7 @@
  <child name="strike" />
  <child name="big" />
  <child name="small" />
-  <child name="em" />
+ <child name="em" />
  <child name="strong" />
  <child name="dfn" />
  <child name="code" />
@@ -45,7 +45,7 @@
  <child name="cite" />
  <child name="abbr" />
  <child name="acronym" />
-  <child name="a" />
+ <child name="a" />
  <child name="img" />
  <child name="applet" />
  <child name="object" />
@@ -60,7 +60,7 @@
  <child name="span" />
  <child name="bdo" />
  <child name="iframe" />
-  <child name="input" />
+ <child name="input" />
  <child name="select" />
  <child name="textarea" />
  <child name="label" />